from sqlalchemy import Boolean, Column, ForeignKey, Integer, String, BigInteger, Text, DateTime
from sqlalchemy.orm import relationship
from db.session import Base


class Message(Base):
    __tablename__ = 'message'

    id = Column(BigInteger, primary_key=True, index=True)
    create_user_id = Column(Integer, ForeignKey("user.id"))
    create_user = relationship("User", back_populates="message")
    content = Column(Text)
    create_time = Column(DateTime)
    target_user_id = Column(Integer, ForeignKey("user.id"))
    target_user = relationship("User", back_populates="message")
    is_bound = Column(Boolean)
    is_open = Column(Boolean)
